/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.model.impl;

import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.model.CacheModel;

import it.tref.liferay.mapit.map.model.Plugin;

import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

import java.util.Date;

/**
 * The cache model class for representing Plugin in entity cache.
 *
 * @author
 * @see Plugin
 * @generated
 */
public class PluginCacheModel implements CacheModel<Plugin>, Externalizable {
	@Override
	public String toString() {
		StringBundler sb = new StringBundler(17);

		sb.append("{pluginId=");
		sb.append(pluginId);
		sb.append(", createDate=");
		sb.append(createDate);
		sb.append(", modifiedDate=");
		sb.append(modifiedDate);
		sb.append(", name=");
		sb.append(name);
		sb.append(", version=");
		sb.append(version);
		sb.append(", mapItVersion=");
		sb.append(mapItVersion);
		sb.append(", context=");
		sb.append(context);
		sb.append(", active=");
		sb.append(active);
		sb.append("}");

		return sb.toString();
	}

	@Override
	public Plugin toEntityModel() {
		PluginImpl pluginImpl = new PluginImpl();

		pluginImpl.setPluginId(pluginId);

		if (createDate == Long.MIN_VALUE) {
			pluginImpl.setCreateDate(null);
		}
		else {
			pluginImpl.setCreateDate(new Date(createDate));
		}

		if (modifiedDate == Long.MIN_VALUE) {
			pluginImpl.setModifiedDate(null);
		}
		else {
			pluginImpl.setModifiedDate(new Date(modifiedDate));
		}

		if (name == null) {
			pluginImpl.setName(StringPool.BLANK);
		}
		else {
			pluginImpl.setName(name);
		}

		if (version == null) {
			pluginImpl.setVersion(StringPool.BLANK);
		}
		else {
			pluginImpl.setVersion(version);
		}

		if (mapItVersion == null) {
			pluginImpl.setMapItVersion(StringPool.BLANK);
		}
		else {
			pluginImpl.setMapItVersion(mapItVersion);
		}

		if (context == null) {
			pluginImpl.setContext(StringPool.BLANK);
		}
		else {
			pluginImpl.setContext(context);
		}

		pluginImpl.setActive(active);

		pluginImpl.resetOriginalValues();

		return pluginImpl;
	}

	@Override
	public void readExternal(ObjectInput objectInput) throws IOException {
		pluginId = objectInput.readLong();
		createDate = objectInput.readLong();
		modifiedDate = objectInput.readLong();
		name = objectInput.readUTF();
		version = objectInput.readUTF();
		mapItVersion = objectInput.readUTF();
		context = objectInput.readUTF();
		active = objectInput.readBoolean();
	}

	@Override
	public void writeExternal(ObjectOutput objectOutput)
		throws IOException {
		objectOutput.writeLong(pluginId);
		objectOutput.writeLong(createDate);
		objectOutput.writeLong(modifiedDate);

		if (name == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(name);
		}

		if (version == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(version);
		}

		if (mapItVersion == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(mapItVersion);
		}

		if (context == null) {
			objectOutput.writeUTF(StringPool.BLANK);
		}
		else {
			objectOutput.writeUTF(context);
		}

		objectOutput.writeBoolean(active);
	}

	public long pluginId;
	public long createDate;
	public long modifiedDate;
	public String name;
	public String version;
	public String mapItVersion;
	public String context;
	public boolean active;
}